Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECReportSpec

public interface ECReportSpec

This interface must be implemented by the objects which describe the individual reports which will be generated by an event cycle. IncludeList controls whether to include a list of EPCs in the report for each group. Include count controls whether to include a count of EPCS for each group. If both includeList and includeCount are false, then the define() and immediate() methods will raise an ECValidationException.

Method Summary
`void` | `addExcludePattern(java.net.URI name)` Appends the specified URI to the list of EPC patterns which will be excluded in the report.
`void` | `addExcludePatterns(java.util.List names)` Appends a list of URIs to the list of EPC patterns which will be excluded in the report.
`void` | `addIncludedMemoryField(java.net.URI memoryField)` Add a URI to the list of included memory fields.
`void` | `addIncludePattern(java.net.URI name)` Appends the specified URI to the list of EPC patterns which will be included in the report.
`void` | `addIncludePatterns(java.util.List names)` Appends a list of URIs to the list of EPC patterns which will be included in the report.
`java.lang.String` | `getApplicationData()` Gets the application data String which will be returned in the report.
`java.util.List` | `getExcludePatterns()` Gets the list of EPC patterns which will be excluded in the report.
`java.util.List` | `getGroupSpec()` Returns the list of patterns that control grouping of EPCs.
`boolean` | `getIncludeCount()` If includeCount is true, each generated `ECReportGroup` instance will contain an EPC count.
`java.util.List` | `getIncludedMemoryFields()` Returns the list of URIs describing the tag regions to read in addition to the EPC.
`boolean` | `getIncludeEPC()` If includeEPC is true, the generated `ECReportGroupListMember` instances will include EPCs in Pure Identity format.
`java.util.List` | `getIncludePatterns()` Gets the list of EPC patterns which will be included in the report.
`boolean` | `getIncludeRawDecimal()` If includeRawDecimal is true, the generated `ECReportGroupListMember` instances will include EPCs in raw decimal format.
`boolean` | `getIncludeRawHex()` If includeRawHex is true, the generated `ECReportGroupListMember` instances will include EPCs in Raw Hexadecimal format.
`boolean` | `getIncludeTag()` If includeTag is true, the generated `ECReportGroupListMember` instances will include EPCs in Tag format.
`java.lang.String` | `getName()` Gets the name of the report.
`boolean` | `getReportIfEmpty()` Returns true if the report should be generated even if it contains no EPCs, and false otherwise.
`ECReportOutputSpec` | `getReportOutputSpec()` Deprecated. Use `getIncludeCount()`, `getIncludeEPC()`, `getIncludeTag()`, `getIncludeRawHex()`, `getIncludeRawDecimal()`.
`ECReportSetSpec` | `getReportSetSpec()` Gets the set of EPCs which determine the report contents (current, additions, or deletions).
`int` | `getStableCount()` Returns the "stable count" for the report-level ECReportSpec.
`boolean` | `isEssential()` Returns true if the event cycle must not generate an ECReports object if this report is empty.
`boolean` | `reportOnlyOnChange()` If reportOnlyOnChange is true, the `ECReport` is generated only if the set of EPCs, is different from the previous event cycle's set.
`void` | `setApplicationData(java.lang.String value)` Gets the application data String which will be returned in the report.
`void` | `setExcludePatterns(java.util.List names)` Sets the list of EPC patterns which will be excluded in the report.
`void` | `setGroupSpec(java.util.List listOfGroupSpecs)` Returns the list of URI patterns that controll grouping
`void` | `setIncludeCount(boolean includeCount)` If includeCount is true, each generated `ECReportGroup` instance will contain an EPC count.
`void` | `setIncludedMemoryFields(java.util.List includedMemoryFields)` Set the list of URIs describing the tag regions to read in addition to the EPC.
`void` | `setIncludeEPC(boolean includeEPC)` If includeEPC is true, the generated `ECReportGroupListMember` instances will include EPCs in Pure Identity format.
`void` | `setIncludePatterns(java.util.List names)` Sets the list of EPC patterns which will be included in the report.
`void` | `setIncludeRawDecimal(boolean includeRawDecimal)` If includeRawDecimal is true, the generated `ECReportGroupListMember` instances will include EPCs in raw decimal format.
`void` | `setIncludeRawHex(boolean includeTag)` If includeRawHex is true, the generated `ECReportGroupListMember` instances will include EPCs in Raw Hexadecimal format.
`void` | `setIncludeTag(boolean includeTag)` If includeTag is true, the generated `ECReportGroupListMember` instances will include EPCs in Tag format.
`void` | `setIsEssential(boolean value)` If set to true, the event cycle will not generate an ECReports object if this report is empty.
`void` | `setName(java.lang.String name)` Sets the name of the report.
`void` | `setReportIfEmpty(boolean value)` If set to true, the report should be generated even if it contains no EPCs.
`void` | `setReportOnlyOnChange(boolean reportOnlyOnChange)` If reportOnlyOnChange is true, the `ECReport` is generated only if the set of EPCs, is different from the previous event cycle's set.
`void` | `setReportOutputSpec(ECReportOutputSpec outputSpec)` Deprecated. Use `setIncludeCount(boolean)`, `setIncludeEPC(boolean)`, `setIncludeTag(boolean)`, `setIncludeRawHex(boolean)`, `setIncludeRawDecimal(boolean)`.
`void` | `setReportSetSpec(ECReportSetSpec rSetSpec)` Sets the set of EPCs which determine the report contents (current, additions, or deletions).
`void` | `setStableCount(int stableCount)` Sets the "stable count" for the report-level ECReportSpec.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the report.

### setName

    public void setName(java.lang.String name)

  Sets the name of the report.

### getReportIfEmpty

    public boolean getReportIfEmpty()

  Returns true if the report should be generated even if it contains no EPCs, and false otherwise.

### setReportIfEmpty

    public void setReportIfEmpty(boolean value)

  If set to true, the report should be generated even if it contains no EPCs. Otherwise, the no report will be generated in this case.

### isEssential

    public boolean isEssential()

  Returns true if the event cycle must not generate an ECReports object if this report is empty.

### setIsEssential

    public void setIsEssential(boolean value)

  If set to true, the event cycle will not generate an ECReports object if this report is empty.

### getReportSetSpec

    public ECReportSetSpec getReportSetSpec()

  Gets the set of EPCs which determine the report contents (current, additions, or deletions).

### setReportSetSpec

    public void setReportSetSpec(ECReportSetSpec rSetSpec)

  Sets the set of EPCs which determine the report contents (current, additions, or deletions).

### getIncludePatterns

    public java.util.List getIncludePatterns()

  Gets the list of EPC patterns which will be included in the report. Refer to the "ConnecTerra RFTagAware Programmer Guide" for information about EPC patterns.

  Returns:
    a List of URI objects containing EPC patterns.

### setIncludePatterns

    public void setIncludePatterns(java.util.List names)

  Sets the list of EPC patterns which will be included in the report. Any previous list is replaced.

  Parameters:
    `names` - a List of URI objects containing EPC patterns.

### addIncludePattern

    public void addIncludePattern(java.net.URI name)

  Appends the specified URI to the list of EPC patterns which will be included in the report.

### addIncludePatterns

    public void addIncludePatterns(java.util.List names)

  Appends a list of URIs to the list of EPC patterns which will be included in the report.

  Parameters:
    `names` - a List of URI objects containing EPC patterns.

### getExcludePatterns

    public java.util.List getExcludePatterns()

  Gets the list of EPC patterns which will be excluded in the report.

  Returns:
    a List of URI objects containing EPC patterns.

### setExcludePatterns

    public void setExcludePatterns(java.util.List names)

  Sets the list of EPC patterns which will be excluded in the report. Any previous list is replaced.

  Parameters:
    `names` - a List of URI objects containing EPC patterns.

### addExcludePattern

    public void addExcludePattern(java.net.URI name)

  Appends the specified URI to the list of EPC patterns which will be excluded in the report.

### addExcludePatterns

    public void addExcludePatterns(java.util.List names)

  Appends a list of URIs to the list of EPC patterns which will be excluded in the report.

  Parameters:
    `names` - a List of URI objects containing EPC patterns.

### getStableCount

    public int getStableCount()

  Returns the "stable count" for the report-level ECReportSpec. If a stable set interval is specified on the ECReportSpec, the SSI does not stop the Event Cycle until the tag count in the report matches or exceeds this count.

### setStableCount

    public void setStableCount(int stableCount)

  Sets the "stable count" for the report-level ECReportSpec. If a stable set interval is specified on the ECReportSpec, the SSI does not stop the Event Cycle until the tag count in the report matches or exceeds this count.

### getReportOutputSpec

    public ECReportOutputSpec getReportOutputSpec()

  Deprecated. Use `getIncludeCount()`, `getIncludeEPC()`, `getIncludeTag()`, `getIncludeRawHex()`, `getIncludeRawDecimal()`.

  Gets the current output specification for this report.

### setReportOutputSpec

    public void setReportOutputSpec(ECReportOutputSpec outputSpec)

  Deprecated. Use `setIncludeCount(boolean)`, `setIncludeEPC(boolean)`, `setIncludeTag(boolean)`, `setIncludeRawHex(boolean)`, `setIncludeRawDecimal(boolean)`.

  Sets the current output specification for this report.

### getIncludedMemoryFields

    public java.util.List getIncludedMemoryFields()

  Returns the list of URIs describing the tag regions to read in addition to the EPC.

### setIncludedMemoryFields

    public void setIncludedMemoryFields(java.util.List includedMemoryFields)

  Set the list of URIs describing the tag regions to read in addition to the EPC. Each URI specifies a tag region, and may affect the output format of the contents of the memory in the returned ECReport.

  Parameters:
    `includedMemoryFields` - the list URIs (@see java.net.URI) describing tag regions to read in addition to the EPC

### addIncludedMemoryField

    public void addIncludedMemoryField(java.net.URI memoryField)

  Add a URI to the list of included memory fields.

  Parameters:
    `memoryField` - the tag memory URI to add to the list
  See Also:
    `setIncludedMemoryFields`

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data String which will be returned in the report.

### setApplicationData

    public void setApplicationData(java.lang.String value)

  Gets the application data String which will be returned in the report.

### getGroupSpec

    public java.util.List getGroupSpec()

  Returns the list of patterns that control grouping of EPCs.

  Returns:
    list of group specs

### setGroupSpec

    public void setGroupSpec(java.util.List listOfGroupSpecs)

  Returns the list of URI patterns that controll grouping

  Parameters:
    `listOfGroupSpecs` -

### reportOnlyOnChange

    public boolean reportOnlyOnChange()

  If reportOnlyOnChange is true, the `ECReport` is generated only if the set of EPCs, is different from the previous event cycle's set.

  Returns:
    reportOnlyOnChange

### setReportOnlyOnChange

    public void setReportOnlyOnChange(boolean reportOnlyOnChange)

  If reportOnlyOnChange is true, the `ECReport` is generated only if the set of EPCs, is different from the previous event cycle's set.

  Parameters:
    `reportOnlyOnChange` -

### getIncludeCount

    public boolean getIncludeCount()

  If includeCount is true, each generated `ECReportGroup` instance will contain an EPC count.

  Returns:
    true if include count is set

### setIncludeCount

    public void setIncludeCount(boolean includeCount)

  If includeCount is true, each generated `ECReportGroup` instance will contain an EPC count.

  Parameters:
    `includeCount` -

### getIncludeEPC

    public boolean getIncludeEPC()

  If includeEPC is true, the generated `ECReportGroupListMember` instances will include EPCs in Pure Identity format.

  Returns:
    true if include EPC is set

### setIncludeEPC

    public void setIncludeEPC(boolean includeEPC)

  If includeEPC is true, the generated `ECReportGroupListMember` instances will include EPCs in Pure Identity format.

  Parameters:
    `includeEPC` -

### getIncludeTag

    public boolean getIncludeTag()

  If includeTag is true, the generated `ECReportGroupListMember` instances will include EPCs in Tag format.

  Returns:
    true if includeTag is set

### setIncludeTag

    public void setIncludeTag(boolean includeTag)

  If includeTag is true, the generated `ECReportGroupListMember` instances will include EPCs in Tag format.

  Parameters:
    `includeTag` -

### getIncludeRawHex

    public boolean getIncludeRawHex()

  If includeRawHex is true, the generated `ECReportGroupListMember` instances will include EPCs in Raw Hexadecimal format.

  Returns:
    true if includeRawHex is set

### setIncludeRawHex

    public void setIncludeRawHex(boolean includeTag)

  If includeRawHex is true, the generated `ECReportGroupListMember` instances will include EPCs in Raw Hexadecimal format.

### getIncludeRawDecimal

    public boolean getIncludeRawDecimal()

  If includeRawDecimal is true, the generated `ECReportGroupListMember` instances will include EPCs in raw decimal format.

  Returns:
    true if includeRawDecimal is set

### setIncludeRawDecimal

    public void setIncludeRawDecimal(boolean includeRawDecimal)

  If includeRawDecimal is true, the generated `ECReportGroupListMember` instances will include EPCs in raw decimal format.

  Parameters:
    `includeRawDecimal` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD